Subject: Re: [extropy-chat] education

From: Hara Ra <[email-masked]>
Date: Mon, 10 Jan 2005 14:09:41 -0800

I learned early on as a gifted child that the prejudice towards same is as 
bad as racism. Lotsa money for the losers, ignore the winners. Once I saw 
this, public education lost me totally. I never ever vote for edu bond 
issues, which make taxes, but does not help the gifted.

Now shall I rant: Compulsory uplifting for all!

>One doesn't even need to look to the future to see
>that.  Look up "gifted children" today: kids who, for
>whatever reason, really can absorb the information
>years faster.  Much of the time, they are given the
>info at the same rate, leading to extreme boredom and
>resulting problems.

==================================
=   Hara Ra (aka Gregory Yob)    =
=     [email-masked]       =
=   Alcor North Cryomanagement   =
=   Alcor Advisor to Board       =
=       831 429 8637             =
==================================

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat